/***************************************************************************
 *   Copyright (C) 2006 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef PIC_GROUP_H
#define PIC_GROUP_H

#include <klocale.h>

#include "devices/base/device_group.h"

namespace Pic
{

class Group : public Device::Group
{
public:
  virtual QString name() const { return "pic"; }
  virtual QString label() const { return i18n("PIC"); }
  virtual Device::Memory *createMemory(const Device::Data &data) const;

private:
  virtual void initSupported();
};

}; // namespace

#endif
