/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *   Copyright (C) 2003-2004 Alain Gibaud <alain.gibaud@free.fr>           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "gputils_config.h"

#include <klocale.h>

const char * const GPUtils::Config::WARNING_LEVEL_LABELS[Nb_WarningLevels] = {
  I18N_NOOP("All messages"), I18N_NOOP("Warning and errors"), I18N_NOOP("Errors only")
};

bool GPUtils::Config::outputShortFormat() const
{
  return boolValue(Tool::Disassembler, "output_short_format", true);
}
void GPUtils::Config::writeOutputShortFormat(bool shortFormat)
{
  setValue(Tool::Disassembler, "output_short_format", shortFormat);
}
