/***************************************************************************
 *   Copyright (C) 2006 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef PIC30_CONFIG_WIDGET_H
#define PIC30_CONFIG_WIDGET_H

#include "tools/config_widget.h"

namespace PIC30
{
//----------------------------------------------------------------------------
class CompilerConfigWidget : public ToolConfigWidget
{
Q_OBJECT
public:
  CompilerConfigWidget(Project *project);
};

//----------------------------------------------------------------------------
class AssemblerConfigWidget : public ToolConfigWidget
{
Q_OBJECT
public:
  AssemblerConfigWidget(Project *project);
};

//----------------------------------------------------------------------------
class LinkerConfigWidget : public ToolConfigWidget
{
Q_OBJECT
public:
  LinkerConfigWidget(Project &project);
};

}; // namespace

#endif
