/***************************************************************************
 *   Copyright (C) 2005-2006 Nicolas Hadacek <hadacek@kde.org>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef DEVICE_GROUP_H
#define DEVICE_GROUP_H

#include "generic_device.h"
#include "common/group.h"

namespace Device
{
class Memory;

class Group : public ::Group
{
public:
  virtual Device::Memory *createMemory(const Device::Data &data) const = 0;

protected:
  virtual void addDevice(const Device::Data *data);
};

}; // namespace

#endif
