/***************************************************************************
 *   Copyright (C) 2005-2006 Nicolas Hadacek <hadacek@kde.org>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "prog_list.h"

#include "progs/direct/direct_prog.h"
#include "progs/icd2/icd2_prog.h"
#include "progs/icd2/icd2_debug.h"
#include "progs/pickit2/pickit2_prog.h"
#include "progs/pickit1/pickit1_prog.h"

Programmer::Lister::Lister()
{
  addGroup(new Direct::DGroup);
  addGroup(new Icd2::ProgrammerGroup);
  addGroup(new Icd2::DebuggerGroup);
  addGroup(new Pickit2::Group);
  addGroup(new Pickit1::Group);
}
