/***************************************************************************
 * Copyright (C) 2006 Nicolas Hadacek <hadacek@kde.org>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef PICKIT2_GROUP_UI_H
#define PICKIT2_GROUP_UI_H

#include "progs/base/gui/prog_group_ui.h"

namespace Pickit2
{
class Base;
class Group;

//----------------------------------------------------------------------------
class AdvancedDialog : public ::Programmer::AdvancedDialog
{
Q_OBJECT
public:
  AdvancedDialog(Base &base, QWidget *parent);
};

//----------------------------------------------------------------------------
class GroupUI : public ::Programmer::GroupUI
{
public:
  GroupUI(::Group &group) : ::Programmer::GroupUI(group) {}
  virtual ::Programmer::ConfigWidget *createConfigWidget(QWidget *parent) const;
  virtual bool hasAdvancedDialog() const { return true; }
  virtual ::Programmer::AdvancedDialog *createAdvancedDialog(::Programmer::Base &base, QWidget *parent) const;
};

}; // namespace

#endif
