/***************************************************************************
 *   Copyright (C) 2005-2006 Nicolas Hadacek <hadacek@kde.org>             *
 *   Copyright (C) 2003-2004 Alain Gibaud <alain.gibaud@free.fr>           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef GPUTILS_CONFIG_WIDGET_H
#define GPUTILS_CONFIG_WIDGET_H

#include <qcheckbox.h>

#include "tools/config_widget.h"

namespace GPUtils
{
//----------------------------------------------------------------------------
class AssemblerConfigWidget : public ToolConfigWidget
{
Q_OBJECT
public:
  AssemblerConfigWidget(Project *project);
  virtual void loadConfig();
  virtual void saveConfig();

protected:
  QComboBox *_gpasmWarning;
};

//----------------------------------------------------------------------------
class DisassemblerConfigWidget : public ToolConfigWidget
{
Q_OBJECT
public:
  DisassemblerConfigWidget();
  virtual void loadConfig();
  virtual void saveConfig();

private:
  QCheckBox *_gpdasmShortOutput;
};

//----------------------------------------------------------------------------
class ProjectLinkerConfigWidget : public ToolConfigWidget
{
Q_OBJECT
public:
  ProjectLinkerConfigWidget(Project &project);
};

}; // namespace

#endif
