/***************************************************************************
 *   Copyright (C) 2006 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "pic30_config_widget.h"

//----------------------------------------------------------------------------
PIC30::CompilerConfigWidget::CompilerConfigWidget(Project *project)
  : ToolConfigWidget(project, "pic30_compiler_config_widget")
{
  _includeDirs = createIncludeDirectoryEntry();
}

//----------------------------------------------------------------------------
PIC30::AssemblerConfigWidget::AssemblerConfigWidget(Project *project)
  : ToolConfigWidget(project, "pic30_assembler_config_widget")
{
  _includeDirs = createIncludeDirectoryEntry();
}

//----------------------------------------------------------------------------
PIC30::LinkerConfigWidget::LinkerConfigWidget(Project &project)
  : ToolConfigWidget(&project, "pic30_linker_config_widget")
{
  _includeDirs = createIncludeDirectoryEntry();
}
