/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "process.h"

SimpleProcess::SimpleProcess(const QString &c)
{
  *this << c;
}

bool SimpleProcess::start()
{
  return KProcIO::start(Block, true);
}

QStringList splitCustomOptions(const QString &options)
{
  return QStringList::split(' ', options); // #### may need to be more intelligent...
}
