/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef PROCESS_H
#define PROCESS_H

#include <qstringlist.h>
#include <kprocio.h>

extern QStringList splitCustomOptions(const QString &options);

class SimpleProcess : public KProcIO
{
Q_OBJECT
public:
  SimpleProcess(const QString &command);
  bool start();
  QString received() const { return recvbuffer; }
};

#endif
